setwd("C:/Users/Andr?s/Dropbox/La Venta Snake/Manuscript/Colombophis")

#Measurement test 
colombophis <- read.delim("C:/Users/Andr?s/Dropbox/La Venta Snake/Manuscript/Colombophis/Combined_measurements.txt", header = T, dec=",", na.strings = c("","#?VALOR!", "#?DIV/0!","-","0","NA"))

#Normality test
shapiro.test(na.omit(colombophis$pr.po.h))
shapiro.test(na.omit(colombophis$pr.pr.h))
shapiro.test(na.omit(colombophis$pr.po.pr.pr))
shapiro.test(na.omit(colombophis$zw.ctw))
shapiro.test(na.omit(colombophis$cl.naw))
shapiro.test(na.omit(colombophis$pr.po.naw))

#Histogram
hist(na.omit(colombophis$pr.po.h))
hist(na.omit(colombophis$pr.pr.h))
hist(na.omit(colombophis$pr.po.pr.pr))
hist(na.omit(colombophis$zw.ctw))
hist(na.omit(colombophis$cl.naw))
hist(na.omit(colombophis$pr.po.naw))

#Boxplot
par(mfcol=c(2,3))
boxplot(na.omit((colombophis$pr.po.h)~colombophis$Species))
boxplot(na.omit((colombophis$pr.pr.h)~colombophis$Species))
boxplot(na.omit((colombophis$pr.po.pr.pr)~colombophis$Species))
boxplot(na.omit((colombophis$zw.ctw)~colombophis$Species))
boxplot(na.omit((colombophis$cl.naw)~colombophis$Species))
boxplot(na.omit((colombophis$pr.po.naw)~colombophis$Species))

#ANOVA
a1<-aov(na.omit((colombophis$pr.po.h)~colombophis$Species))
summary(a1)       

a2<-aov(na.omit((colombophis$pr.pr.h)~colombophis$Species))
summary(a2)

a3<-aov(na.omit((colombophis$pr.po.pr.pr)~colombophis$Species))
summary(a3)

a4<-aov(na.omit((colombophis$zw.ctw)~colombophis$Species))
summary(a4)

a5<-aov(na.omit((colombophis$cl.naw)~colombophis$Species))
summary(a5)

a6<-aov(na.omit((colombophis$pr.po.naw)~colombophis$Species))
summary(a6)

##########################
###Compactness analysis###
##########################
compact<-read.delim(file.choose(), h=T)

#Normality test
shapiro.test(compact$Cts)

#Not a normal dist
#Perform a kruskal
kruskal.test(data=compact,Cts~Ecology)

#Tukey test
modelo<-aov(data=compact,Cts~Ecology)
TukeyHSD(modelo, "Ecology")

#Boxplot
boxplot(compact$Cts~compact$Ecology)


